Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.TextLink Class Reference
Inheritance diagram for com.foxit.sdk.pdf.TextLink:

## Public Member Functions
| TextLink (TextLink other)
| Constructor, with another text link object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getEndCharIndex () throws com.foxit.sdk.PDFException
| Get the index of last character of current hyper-link URI, based on PDF page. More...
RectFArray | getRects () throws com.foxit.sdk.PDFException
| Get the text rectangles of current text link object. More...
int | getStartCharIndex () throws com.foxit.sdk.PDFException
| Get the index of start character of current hyper-link URI, based on PDF page. More...
String | getURI () throws com.foxit.sdk.PDFException
| Get URI string. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

A text link is just text content, which represents a hypertext link to a website or a resource on the internet, or an e-mail address.
This class offers functions to get information from the text link.
A text link object is retrieved by function PageTextLinks.getTextLink .

See also
  PageTextLinks

## Constructor & Destructor Documentation

## ◆ TextLink()

com.foxit.sdk.pdf.TextLink.TextLink | ( | TextLink | other | ) |

Constructor, with another text link object.

Parameters

  [in] | other | Another text link object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.TextLink.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getEndCharIndex()

int com.foxit.sdk.pdf.TextLink.getEndCharIndex | ( |  | ) | throws com.foxit.sdk.PDFException

Get the index of last character of current hyper-link URI, based on PDF page.

Returns
  The index of last character, starting from 0.

## ◆ getRects()

RectFArray com.foxit.sdk.pdf.TextLink.getRects | ( |  | ) | throws com.foxit.sdk.PDFException

Get the text rectangles of current text link object.

Returns
  An array of rectangles.

## ◆ getStartCharIndex()

int com.foxit.sdk.pdf.TextLink.getStartCharIndex | ( |  | ) | throws com.foxit.sdk.PDFException

Get the index of start character of current hyper-link URI, based on PDF page.

Returns
  The index of start character, starting from 0.

## ◆ getURI()

String com.foxit.sdk.pdf.TextLink.getURI | ( |  | ) | throws com.foxit.sdk.PDFException

Get URI string.

A text link's URI can be a hypertext link to a website or a resource on the internet. It can also be an e-mail address.

Returns
  URI string.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.TextLink.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.